package com.hzya.frame.grpU8.nxproof.pubbmxx.dao.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.pubbmxx.dao.ISenderPubbmxxDao;
import com.hzya.frame.grpU8.nxproof.pubbmxx.entity.SenderPubbmxxEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (Pubbmxx)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 09:48:44
 */
@Repository(value = "SenderPubbmxxDaoImpl")
public class SenderPubbmxxDaoImpl extends MybatisGenericDao<SenderPubbmxxEntity, String> implements ISenderPubbmxxDao {

    @Override
    @DS("#senderPubbmxxEntity.dataSourceCode")
    public List<SenderPubbmxxEntity> querySenderPubbmxxEntity(SenderPubbmxxEntity senderPubbmxxEntity) {
        return super.queryByLike(senderPubbmxxEntity);
    }
    @Override
    @DS("#senderPubbmxxEntity.dataSourceCode")
    public SenderPubbmxxEntity saveSenderPubbmxxEntity(SenderPubbmxxEntity senderPubbmxxEntity) {
        return super.save(senderPubbmxxEntity);
    }
    @Override
    @DS("#senderPubbmxxEntity.dataSourceCode")
    public SenderPubbmxxEntity updateSenderPubbmxxEntity(SenderPubbmxxEntity senderPubbmxxEntity) {
        return super.update(senderPubbmxxEntity);
    }

    @Override
    @DS("#senderPubbmxxEntity.dataSourceCode")
    public List<SenderPubbmxxEntity> queryPubbmxxHealthBureau(SenderPubbmxxEntity senderPubbmxxEntity) {
        return super.query(senderPubbmxxEntity);
    }

    @Override
    @DS("#senderPubbmxxEntity.dataSourceCode")
    public SenderPubbmxxEntity savePubbmxxHealthBureau(SenderPubbmxxEntity senderPubbmxxEntity) {
        return super.save(senderPubbmxxEntity);
    }

    @Override
    @DS("#senderPubbmxxEntity.dataSourceCode")
    public SenderPubbmxxEntity updatePubbmxxHealthBureau(SenderPubbmxxEntity senderPubbmxxEntity) {
        return super.update(senderPubbmxxEntity);
    }

    @Override
    @DS("#senderPubbmxxEntity.dataSourceCode")
    public Integer deletePubbmxxHealthBureau(SenderPubbmxxEntity senderPubbmxxEntity) {
        return super.delete("SenderPubbmxxEntity_delete_bmxx",senderPubbmxxEntity);
    }
}

